import React, { ReactNode } from 'react';
import { Dialog, DialogDescription, DialogDescriptionProperties, DialogFooter, DialogFooterProperties, DialogHeader, DialogHeaderProperties, DialogOverlay, DialogOverlayProperties, DialogProperties, DialogTrigger, DialogTriggerProperties } from './dialog.js';
import { ContainerProperties } from '@react-three/uikit';
export type AlertDialogOverlayProperties = DialogOverlayProperties;
export declare const AlertDialogOverlay: typeof DialogOverlay;
export type AlertDialogProperties = DialogProperties;
export declare const AlertDialog: typeof Dialog;
export type AlertDialogTriggerProperties = DialogTriggerProperties;
export declare const AlertDialogTrigger: typeof DialogTrigger;
export type AlertDialogContentProperties = ContainerProperties;
export declare function AlertDialogContent({ onClick, sm, ...props }: AlertDialogContentProperties): React.JSX.Element;
export type AlertDialogHeaderProperties = DialogHeaderProperties;
export declare const AlertDialogHeader: typeof DialogHeader;
export type AlertDialogFooterProperties = DialogFooterProperties;
export declare const AlertDialogFooter: typeof DialogFooter;
export type AlertDialogTitleProperties = {
    children?: ReactNode;
};
export declare function AlertDialogTitle(props: AlertDialogTitleProperties): React.JSX.Element;
export type AlertDialogDescriptionProperties = DialogDescriptionProperties;
export declare const AlertDialogDescription: typeof DialogDescription;
export type AlertDialogActionProperties = ContainerProperties;
export declare function AlertDialogAction({ children, onClick, ...props }: AlertDialogActionProperties): React.JSX.Element;
export type AlertDialogCancelProperties = ContainerProperties;
export declare function AlertDialogCancel({ children, onClick, ...props }: AlertDialogCancelProperties): React.JSX.Element;
