import { ContainerProperties } from '@react-three/uikit';
import React from 'react';
declare const alertVariants: {
    default: {};
    destructive: {
        borderColor: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        borderOpacity: number;
        color: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
    };
};
export type AlertProperties = ContainerProperties & {
    variant?: keyof typeof alertVariants;
};
export declare function Alert(props: AlertProperties): React.JSX.Element;
export type AlertIconProperties = ContainerProperties;
export declare function AlertIcon(props: AlertIconProperties): React.JSX.Element;
export type AlertTitleProperties = ContainerProperties;
export declare function AlertTitle({ children, ...props }: AlertTitleProperties): React.JSX.Element;
export type AlertDescriptionProperties = ContainerProperties;
export declare function AlertDescription({ children, ...props }: AlertDescriptionProperties): React.JSX.Element;
export {};
