import { Container, DefaultProperties } from '@react-three/uikit';
import React from 'react';
import { borderRadius, colors } from './theme.js';
const alertVariants = {
    default: {},
    destructive: {
        borderColor: colors.destructive,
        borderOpacity: 0.5,
        color: colors.destructive,
    },
};
export function Alert(props) {
    return (React.createElement(DefaultProperties, { ...alertVariants[props.variant ?? 'default'] },
        React.createElement(Container, { flexDirection: "column", positionType: "relative", width: "100%", borderRadius: borderRadius.lg, borderWidth: 1, padding: 16, ...props })));
}
export function AlertIcon(props) {
    return React.createElement(Container, { positionLeft: 16, positionTop: 16, positionType: "absolute", ...props });
}
export function AlertTitle({ children, ...props }) {
    return (React.createElement(Container, { marginBottom: 4, padding: 0, paddingLeft: 28, ...props },
        React.createElement(DefaultProperties, { fontWeight: "medium", letterSpacing: -0.4, lineHeight: "100%" }, children)));
}
export function AlertDescription({ children, ...props }) {
    return (React.createElement(Container, { paddingLeft: 28, ...props },
        React.createElement(DefaultProperties, { lineHeight: "162.5%", fontSize: 14 }, children)));
}
