import { Container, DefaultProperties } from '@react-three/uikit';
import React from 'react';
import { borderRadius, colors } from './theme.js';
export function Card({ children, ...props }) {
    return (React.createElement(Container, { flexDirection: "column", borderRadius: borderRadius.lg, borderWidth: 1, backgroundColor: colors.card, ...props },
        React.createElement(DefaultProperties, { color: colors.cardForeground }, children)));
}
export function CardHeader(props) {
    return React.createElement(Container, { padding: 24, flexDirection: "column", gap: 6, ...props });
}
export function CardTitle(props) {
    return React.createElement(DefaultProperties, { fontWeight: "semi-bold", letterSpacing: -0.4, fontSize: 24, lineHeight: "100%", ...props });
}
export function CardDescription(props) {
    return React.createElement(DefaultProperties, { fontSize: 14, lineHeight: 20, color: colors.mutedForeground, ...props });
}
export function CardContent(props) {
    return React.createElement(Container, { padding: 24, paddingTop: 0, ...props });
}
export function CardFooter(props) {
    return React.createElement(Container, { flexDirection: "row", alignItems: "center", padding: 24, paddingTop: 0, ...props });
}
