import { ContainerProperties } from '@react-three/uikit';
import React, { ReactNode } from 'react';
export type DialogAnchorProperties = {
    children?: ReactNode;
};
export declare function DialogAnchor({ children }: DialogAnchorProperties): React.JSX.Element;
export declare function useDialogContext(): {
    setOpen: (open: boolean) => void;
    setContent: (element: React.ReactNode) => void;
};
export type DialogProperties = {
    children?: ReactNode;
    open?: boolean;
    defaultOpen?: boolean;
    onOpenChange?: (open: boolean) => void;
};
export declare function Dialog({ children, open: providedOpen, onOpenChange, defaultOpen }: DialogProperties): React.JSX.Element;
export type DialogTriggerProperties = ContainerProperties;
export declare function DialogTrigger({ onClick, ...props }: DialogTriggerProperties): React.JSX.Element;
export type DialogOverlayProperties = ContainerProperties;
export declare function DialogOverlay(props: DialogOverlayProperties): React.JSX.Element;
export declare function useCloseDialog(): () => void;
export type DialogContentPrimitiveProperties = {
    children?: ReactNode;
};
export declare function DialogContentPrimitive({ children }: DialogContentPrimitiveProperties): null;
export type DialogContentProperties = ContainerProperties;
export declare function DialogContent({ children, sm, ...props }: DialogContentProperties): React.JSX.Element;
export type DialogHeaderProperties = ContainerProperties;
export declare function DialogHeader({ children, ...props }: DialogHeaderProperties): React.JSX.Element;
export type DialogFooterProperties = ContainerProperties;
export declare function DialogFooter({ sm, ...props }: DialogFooterProperties): React.JSX.Element;
export type DialogTitleProperties = {
    children?: ReactNode;
};
export declare function DialogTitle(props: DialogTitleProperties): React.JSX.Element;
export type DialogDescriptionProperties = {
    children?: ReactNode;
};
export declare function DialogDescription(props: DialogDescriptionProperties): React.JSX.Element;
