import { ComponentInternals, ContainerProperties } from '@react-three/uikit';
import React, { ReactNode, RefAttributes } from 'react';
export type PaginationProperties = ContainerProperties;
export declare function Pagination(props: PaginationProperties): React.JSX.Element;
export type PaginationContentProperties = ContainerProperties;
export declare function PaginationContent(props: PaginationContentProperties): React.JSX.Element;
export type PaginationItemProperties = ContainerProperties;
export declare const PaginationItem: (props: ContainerProperties & RefAttributes<ComponentInternals<ContainerProperties>>) => ReactNode;
declare const paginationSizes: {
    default: {
        height: number;
        paddingX: number;
        paddingY: number;
    };
    sm: {
        height: number;
        paddingX: number;
    };
    lg: {
        height: number;
        paddingX: number;
    };
    icon: {
        height: number;
        width: number;
    };
};
export type PaginationLinkProperties = ContainerProperties & {
    size?: keyof typeof paginationSizes;
    isActive?: boolean;
};
export declare function PaginationLink({ isActive, size, hover, ...props }: PaginationLinkProperties): React.JSX.Element;
export type PaginationPreviousProperties = Omit<PaginationLinkProperties, 'children'>;
export declare function PaginationPrevious(props: PaginationPreviousProperties): React.JSX.Element;
export type PaginationNextProperties = Omit<PaginationLinkProperties, 'children'>;
export declare function PaginationNext(props: PaginationNextProperties): React.JSX.Element;
export type PaginationEllipsisProperties = Omit<PaginationLinkProperties, 'children'>;
export declare function PaginationEllipsis(props: PaginationEllipsisProperties): React.JSX.Element;
export {};
