import { ContainerProperties } from '@react-three/uikit';
import React, { ReactNode } from 'react';
export type TabsProperties = {
    value?: string;
    onValueChange?(value: string): void;
    defaultValue?: string;
    children?: ReactNode;
} & ContainerProperties;
export declare function Tabs({ value: providedValue, onValueChange, defaultValue, children, ...props }: TabsProperties): React.JSX.Element;
export type TabsListProperties = ContainerProperties;
export declare function TabsList({ children, ...props }: TabsListProperties): React.JSX.Element;
export type TabsTriggerProperties = ContainerProperties & {
    disabled?: boolean;
    value: string;
};
export declare function TabsTrigger({ children, value, disabled, ...props }: TabsTriggerProperties): React.JSX.Element;
export type TabsContentProperties = ContainerProperties & {
    value: string;
};
export declare function TabsContent({ value, ...props }: TabsContentProperties): React.JSX.Element | null;
