import { ContainerProperties } from '@react-three/uikit';
import React from 'react';
declare const toggleVariants: {
    default: {};
    outline: {
        containerProps: {
            borderWidth: number;
            borderColor: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
        containerHoverProps: {
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
    };
};
declare const toggleSizes: {
    default: {
        height: number;
        paddingX: number;
    };
    sm: {
        height: number;
        paddingX: number;
    };
    lg: {
        height: number;
        paddingX: number;
    };
};
export type ToggleGroupProperties = ContainerProperties & {
    variant?: keyof typeof toggleVariants;
    size?: keyof typeof toggleSizes;
};
export declare function ToggleGroup({ children, size, variant, ...props }: ToggleGroupProperties): React.JSX.Element;
export type ToggleGroupItemProperties = ContainerProperties & {
    defaultChecked?: boolean;
    checked?: boolean;
    disabled?: boolean;
    onCheckedChange?(checked: boolean): void;
};
export declare function ToggleGroupItem({ children, defaultChecked, checked: providedChecked, disabled, onCheckedChange, hover, ...props }: ToggleGroupItemProperties): React.JSX.Element;
export {};
